CVE-2013-0242

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Buffer overflow in the extend_buffers function in the regular expression matcher (posix/regexec.c) in glibc, possibly 2.17 and earlier, allows context-dependent attackers to cause a denial of service (memory corruption and crash) via crafted multibyte characters.

References

http://osvdb.org/89747

http://rhn.redhat.com/errata/RHSA-2013-0769.html

http://rhn.redhat.com/errata/RHSA-2013-1605.html

http://secunia.com/advisories/51951

http://secunia.com/advisories/55113

http://sourceware.org/bugzilla/show_bug.cgi?id=15078

http://sourceware.org/ml/libc-alpha/2013-01/msg00967.html

http://www.mandriva.com/security/advisories?name=MDVSA-2013:163

http://www.openwall.com/lists/oss-security/2013/01/30/5

http://www.securityfocus.com/bid/57638

http://www.securitytracker.com/id/1028063

http://www.ubuntu.com/usn/USN-1991-1

http://www.vmware.com/security/advisories/VMSA-2014-0008.html

https://exchange.xforce.ibmcloud.com/vulnerabilities/81707

https://security.gentoo.org/glsa/201503-04

Details

Source: MITRE

Published: 2013-02-08

Updated: 2017-08-29

Type: CWE-119

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:gnu:glibc:2.17:*:*:*:*:*:*:*

Tenable Plugins

View all (30 total)

IDNameProductFamilySeverity
127161NewStart CGSL MAIN 5.04 : glibc Multiple Vulnerabilities (NS-SA-2019-0012)NessusNewStart CGSL Local Security Checks
high
125004EulerOS Virtualization 3.0.1.0 : glibc (EulerOS-SA-2019-1551)NessusHuawei Local Security Checks
high
87679VMware ESXi Multiple DoS (VMSA-2014-0008)NessusMisc.
medium
83638SUSE SLES10 Security Update : glibc (SUSE-SU-2014:1128-1)NessusSuSE Local Security Checks
high
83637SUSE SLES11 Security Update : glibc (SUSE-SU-2014:1122-1)NessusSuSE Local Security Checks
high
82149Debian DLA-165-1 : eglibc security updateNessusDebian Local Security Checks
high
81689GLSA-201503-04 : GNU C Library: Multiple vulnerabilities (GHOST)NessusGentoo Local Security Checks
high
81119OracleVM 2.2 : glibc (OVMSA-2015-0024) (GHOST)NessusOracleVM Local Security Checks
high
81118OracleVM 3.2 : glibc (OVMSA-2015-0023) (GHOST)NessusOracleVM Local Security Checks
high
80037ESXi 5.1 < Build 2323231 glibc Library Multiple Vulnerabilities (remote check)NessusMisc.
medium
79862ESXi 5.1 < Build 2323236 Third-Party Libraries Multiple Vulnerabilities (remote check) (BEAST)NessusMisc.
medium
79539OracleVM 3.3 : glibc (OVMSA-2014-0017)NessusOracleVM Local Security Checks
high
79166CentOS 6 : glibc (CESA-2013:1605)NessusCentOS Local Security Checks
medium
78108ESXi 5.5 < Build 1980513 glibc Library Multiple Vulnerabilities (remote check)NessusMisc.
medium
77630VMSA-2014-0008 : VMware vSphere product updates to third-party librariesNessusVMware ESX Local Security Checks
high
75154openSUSE Security Update : glibc (openSUSE-SU-2013:1510-1)NessusSuSE Local Security Checks
high
71582Amazon Linux AMI : glibc (ALAS-2013-270)NessusAmazon Linux Local Security Checks
medium
71308SuSE 11.3 Security Update : glibc (SAT Patch Number 8337)NessusSuSE Local Security Checks
high
71307SuSE 11.2 Security Update : glibc (SAT Patch Number 8335)NessusSuSE Local Security Checks
high
71193Scientific Linux Security Update : glibc on SL6.x i386/x86_64 (20131121)NessusScientific Linux Local Security Checks
medium
71106Oracle Linux 6 : glibc (ELSA-2013-1605)NessusOracle Linux Local Security Checks
medium
71009RHEL 6 : glibc (RHSA-2013:1605)NessusRed Hat Local Security Checks
medium
70538Ubuntu 10.04 LTS / 12.04 LTS / 12.10 / 13.04 : eglibc vulnerabilities (USN-1991-1)NessusUbuntu Local Security Checks
high
68814Oracle Linux 5 : glibc (ELSA-2013-0769)NessusOracle Linux Local Security Checks
medium
66724Fedora 17 : glibc-2.15-59.fc17 (2013-4174)NessusFedora Local Security Checks
medium
66342Mandriva Linux Security Advisory : glibc (MDVSA-2013:163)NessusMandriva Local Security Checks
medium
66227Scientific Linux Security Update : glibc on SL5.x i386/x86_64 (20130424)NessusScientific Linux Local Security Checks
medium
66217CentOS 5 : glibc (CESA-2013:0769)NessusCentOS Local Security Checks
medium
66211RHEL 5 : glibc (RHSA-2013:0769)NessusRed Hat Local Security Checks
medium
65745Fedora 18 : glibc-2.16-30.fc18 (2013-4100)NessusFedora Local Security Checks
medium